Bug 1411140 - [abrt] solaar: udev.py:87:_match:TypeError: int() can't convert non-string with explicit base
Summary: [abrt] solaar: udev.py:87:_match:TypeError: int() can't convert non-string wi...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:de449c994d7a140fc21c1a1ad84...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 18:47 UTC by Frank Büttner
Modified: 2017-12-12 10:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:11:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.17 KB, text/plain)
2017-01-08 18:47 UTC, Frank Büttner
no flags Details
File: environ (1.02 KB, text/plain)
2017-01-08 18:47 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2017-01-08 18:47:37 UTC
Version-Release number of selected component:
solaar-0.9.2-4.20150528gitcf27328.fc25.4

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python /usr/bin/solaar
executable:     /usr/bin/solaar
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
udev.py:87:_match:TypeError: int() can't convert non-string with explicit base

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/solaar/ui/__init__.py", line 102, in _startup
    startup_hook()
  File "/usr/lib/python2.7/site-packages/solaar/listener.py", line 249, in start_all
    for device_info in _base.receivers():
  File "/usr/lib/python2.7/site-packages/logitech_receiver/base.py", line 86, in receivers
    for d in _hid.enumerate(*receiver_usb_id):
  File "/usr/lib/python2.7/site-packages/hidapi/udev.py", line 199, in enumerate
    dev_info = _match('add', dev, vendor_id, product_id, interface_number, hid_driver)
  File "/usr/lib/python2.7/site-packages/hidapi/udev.py", line 87, in _match
    if not ((vendor_id is None or vendor_id == int(vid, 16)) and
TypeError: int() can't convert non-string with explicit base

Local variables in innermost frame:
product_id: 50475
vid: None
interface_number: 2
vendor_id: 1133
pid: None
action: u'add'
usb_device: Device(u'/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6')
device: Device(u'/sys/devices/pci0000:00/0000:00:14.0/usb2/2-6/2-6:1.0/0003:046D:C521.0001/hidraw/hidraw0')
hid_driver: u'logitech-djreceiver'

Potential duplicate: bug 1202928

Comment 1 Frank Büttner 2017-01-08 18:47:45 UTC
Created attachment 1238439 [details]
File: backtrace

Comment 2 Frank Büttner 2017-01-08 18:47:46 UTC
Created attachment 1238440 [details]
File: environ

Comment 3 Fedora End Of Life 2017-11-16 15:25:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:11:04 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.